Bug 1190916 - bibus: deprecation warning with wxPython 3.0
Summary: bibus: deprecation warning with wxPython 3.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bibus
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-10 01:22 UTC by Scott Talbert
Modified: 2016-12-15 01:20 UTC (History)
2 users (show)

Fixed In Version: bibus-1.5.2-1.fc25 bibus-1.5.2-1.fc24 bibus-1.5.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 21:29:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Scott Talbert 2015-02-10 01:22:57 UTC
In Rawhide, wxPython has been updated to 3.0.  Unfortunately, bibus is using a deprecated method which issues this warning:

/usr/share/bibus/bibus.py:123: wxPyDeprecationWarning: Call to deprecated item. 
  wx.InitAllImageHandlers()

Debian has patched their version, so we could probably just re-use their patch in Fedora.  It fixes a few other wxPython 3 issues as well:

https://sources.debian.net/data/main/b/bibus/1.5.2-4/debian/patches/wxpy30-changes.patch

Comment 1 Jaroslav Reznik 2015-03-03 16:52:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 12:48:14 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Jan Kurik 2016-07-26 05:04:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Fedora Update System 2016-12-03 23:54:19 UTC
bibus-1.5.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-29c1311d88

Comment 5 Fedora Update System 2016-12-03 23:54:29 UTC
bibus-1.5.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3312806090

Comment 6 Fedora Update System 2016-12-03 23:54:37 UTC
bibus-1.5.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-456a75666a

Comment 7 Fedora Update System 2016-12-06 03:24:21 UTC
bibus-1.5.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-29c1311d88

Comment 8 Fedora Update System 2016-12-06 03:56:46 UTC
bibus-1.5.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-456a75666a

Comment 9 Fedora Update System 2016-12-06 03:59:28 UTC
bibus-1.5.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3312806090

Comment 10 Fedora Update System 2016-12-14 21:29:50 UTC
bibus-1.5.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-12-14 22:56:31 UTC
bibus-1.5.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-12-15 01:20:39 UTC
bibus-1.5.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.